Package org.codehaus.commons.compiler

# Class CompileException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.codehaus.commons.compiler.LocatedException
org.codehaus.commons.compiler.CompileException

All Implemented Interfaces:
  `Serializable`

public class CompileException extends LocatedException
Representation of an error condition during compilation.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CompileException(String message, Location location)`
An infix `"NYI"` in the message string indicates that the compiler has a known limitation here.
`CompileException(String message, Location location, Throwable cause)`
An infix `"NYI"` in the message string indicates that the compiler has a known limitation here.

## Method Summary

### Methods inherited from class org.codehaus.commons.compiler.LocatedException

`getLocation, getMessage`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CompileException

public CompileException(String message, @Nullable Location location)
An infix `"NYI"` in the message string indicates that the compiler has a known limitation here.

### CompileException

public CompileException(String message, @Nullable Location location, Throwable cause)
An infix `"NYI"` in the message string indicates that the compiler has a known limitation here.